package org.jboss.as.quickstarts.wshelloworld;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import javax.enterprise.inject.New;
import javax.jws.WebService;
import javax.lang.model.element.VariableElement;

import org.jboss.as.quickstarts.wshelloworld.model.Order;
import org.jboss.as.quickstarts.wshelloworld.model.Product;

@WebService(serviceName = "OrderService", portName = "Order", name = "Order", endpointInterface = "org.jboss.as.quickstarts.wshelloworld.OrderService", targetNamespace = "http://www.jboss.org/jbossas/quickstarts/wshelloworld/Order")
public class OrderServiceImpl implements OrderService {

	@Override
	public Order orderProduct(List<Product> products) {
		Order order = new Order();
		order.setProducts(products);

		double sum = 0;
		for (Product p : products) {
			sum += p.getAmount();

		}

		String orderNo = new SimpleDateFormat("yyMMddHHmmssSSS")
				.format(Calendar.getInstance().getTime());

		order.setAmount(sum);
		order.setOrderNo(orderNo);
		return order;
	}

}
